import Component from 'ember-component';
import InteractivityDeferredComponent from 'web-client/mixins/interactivity-deferred-component';
import SendRouteActionMixin from 'web-client/mixins/send-route-action';
import run from 'ember-runloop';

export default Component.extend(InteractivityDeferredComponent, SendRouteActionMixin,{
  didInsertElement() {
    this._super(...arguments);
    run.scheduleOnce('afterRender', this, this.reportInteractive);
  },
  actions: {
    showLogin() {
      this.sendRouteAction('handleLoginButtonClick');
    },

    showSignup() {
      this.sendRouteAction('handleSignupButtonClick');
    }
  }
});
